Page MenuHomePhabricator

Tail Duplication: Accept explicit threshold for duplicating.
ClosedPublic

Authored by iteratee on Aug 10 2016, 5:40 PM.

Details

Reviewers
davidxl
Summary

This will allow tail duplication and tail merging during layout to have a
shared threshold to make sure that they don't overlap. No observable change
intended.

Diff Detail

Event Timeline

iteratee updated this revision to Diff 67641.Aug 10 2016, 5:40 PM
iteratee retitled this revision from to Tail Duplication: Accept explicit threshold for duplicating..
iteratee updated this object.
iteratee added a reviewer: davidxl.
iteratee set the repository for this revision to rL LLVM.
iteratee added subscribers: llvm-commits, echristo.
davidxl accepted this revision.Aug 12 2016, 9:56 AM
davidxl edited edge metadata.

lgtm. Pleas split out optSize change.

lib/CodeGen/TailDuplicator.cpp
525

I would rather you split this optSize change out.

This revision is now accepted and ready to land.Aug 12 2016, 9:56 AM
iteratee closed this revision.Aug 17 2016, 2:16 PM

Committed in r278980 and r278981